//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.12.16 at 11:48:39 AM CET 
//


package org.tdwg.ggbn;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Container element for individual amplifications
 * 			
 * 
 * <p>Java class for amplification complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="amplification">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="amplificationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="amplificationStaff" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="marker" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="markerSubfragment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="amplificationSuccess" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="amplificationSuccessDetails" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="amplificationMethod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="purificationMethod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="lib_reads_seqd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="lib_screen" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="lib_size" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="lib_vector" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="lib_const_meth" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="plasmid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Sequencings" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="sequencing" type="{http://data.ggbn.org/schemas/ggbn/terms}sequencing" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="AmplificationPrimers" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="amplificationPrimer" type="{http://data.ggbn.org/schemas/ggbn/terms}primer" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "amplification", propOrder = {
    "amplificationDate",
    "amplificationStaff",
    "marker",
    "markerSubfragment",
    "amplificationSuccess",
    "amplificationSuccessDetails",
    "amplificationMethod",
    "purificationMethod",
    "libReadsSeqd",
    "libScreen",
    "libSize",
    "libVector",
    "libConstMeth",
    "plasmid",
    "sequencings",
    "amplificationPrimers"
})
public class Amplification {

    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar amplificationDate;
    protected String amplificationStaff;
    protected String marker;
    protected String markerSubfragment;
    protected String amplificationSuccess;
    protected String amplificationSuccessDetails;
    protected String amplificationMethod;
    protected String purificationMethod;
    @XmlElement(name = "lib_reads_seqd")
    protected String libReadsSeqd;
    @XmlElement(name = "lib_screen")
    protected String libScreen;
    @XmlElement(name = "lib_size")
    protected String libSize;
    @XmlElement(name = "lib_vector")
    protected String libVector;
    @XmlElement(name = "lib_const_meth")
    protected String libConstMeth;
    protected String plasmid;
    @XmlElement(name = "Sequencings")
    protected Amplification.Sequencings sequencings;
    @XmlElement(name = "AmplificationPrimers")
    protected Amplification.AmplificationPrimers amplificationPrimers;

    /**
     * Gets the value of the amplificationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getAmplificationDate() {
        return amplificationDate;
    }

    /**
     * Sets the value of the amplificationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setAmplificationDate(XMLGregorianCalendar value) {
        this.amplificationDate = value;
    }

    /**
     * Gets the value of the amplificationStaff property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAmplificationStaff() {
        return amplificationStaff;
    }

    /**
     * Sets the value of the amplificationStaff property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAmplificationStaff(String value) {
        this.amplificationStaff = value;
    }

    /**
     * Gets the value of the marker property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMarker() {
        return marker;
    }

    /**
     * Sets the value of the marker property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMarker(String value) {
        this.marker = value;
    }

    /**
     * Gets the value of the markerSubfragment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMarkerSubfragment() {
        return markerSubfragment;
    }

    /**
     * Sets the value of the markerSubfragment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMarkerSubfragment(String value) {
        this.markerSubfragment = value;
    }

    /**
     * Gets the value of the amplificationSuccess property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAmplificationSuccess() {
        return amplificationSuccess;
    }

    /**
     * Sets the value of the amplificationSuccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAmplificationSuccess(String value) {
        this.amplificationSuccess = value;
    }

    /**
     * Gets the value of the amplificationSuccessDetails property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAmplificationSuccessDetails() {
        return amplificationSuccessDetails;
    }

    /**
     * Sets the value of the amplificationSuccessDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAmplificationSuccessDetails(String value) {
        this.amplificationSuccessDetails = value;
    }

    /**
     * Gets the value of the amplificationMethod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAmplificationMethod() {
        return amplificationMethod;
    }

    /**
     * Sets the value of the amplificationMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAmplificationMethod(String value) {
        this.amplificationMethod = value;
    }

    /**
     * Gets the value of the purificationMethod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPurificationMethod() {
        return purificationMethod;
    }

    /**
     * Sets the value of the purificationMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPurificationMethod(String value) {
        this.purificationMethod = value;
    }

    /**
     * Gets the value of the libReadsSeqd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLibReadsSeqd() {
        return libReadsSeqd;
    }

    /**
     * Sets the value of the libReadsSeqd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLibReadsSeqd(String value) {
        this.libReadsSeqd = value;
    }

    /**
     * Gets the value of the libScreen property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLibScreen() {
        return libScreen;
    }

    /**
     * Sets the value of the libScreen property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLibScreen(String value) {
        this.libScreen = value;
    }

    /**
     * Gets the value of the libSize property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLibSize() {
        return libSize;
    }

    /**
     * Sets the value of the libSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLibSize(String value) {
        this.libSize = value;
    }

    /**
     * Gets the value of the libVector property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLibVector() {
        return libVector;
    }

    /**
     * Sets the value of the libVector property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLibVector(String value) {
        this.libVector = value;
    }

    /**
     * Gets the value of the libConstMeth property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLibConstMeth() {
        return libConstMeth;
    }

    /**
     * Sets the value of the libConstMeth property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLibConstMeth(String value) {
        this.libConstMeth = value;
    }

    /**
     * Gets the value of the plasmid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlasmid() {
        return plasmid;
    }

    /**
     * Sets the value of the plasmid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlasmid(String value) {
        this.plasmid = value;
    }

    /**
     * Gets the value of the sequencings property.
     * 
     * @return
     *     possible object is
     *     {@link Amplification.Sequencings }
     *     
     */
    public Amplification.Sequencings getSequencings() {
        return sequencings;
    }

    /**
     * Sets the value of the sequencings property.
     * 
     * @param value
     *     allowed object is
     *     {@link Amplification.Sequencings }
     *     
     */
    public void setSequencings(Amplification.Sequencings value) {
        this.sequencings = value;
    }

    /**
     * Gets the value of the amplificationPrimers property.
     * 
     * @return
     *     possible object is
     *     {@link Amplification.AmplificationPrimers }
     *     
     */
    public Amplification.AmplificationPrimers getAmplificationPrimers() {
        return amplificationPrimers;
    }

    /**
     * Sets the value of the amplificationPrimers property.
     * 
     * @param value
     *     allowed object is
     *     {@link Amplification.AmplificationPrimers }
     *     
     */
    public void setAmplificationPrimers(Amplification.AmplificationPrimers value) {
        this.amplificationPrimers = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="amplificationPrimer" type="{http://data.ggbn.org/schemas/ggbn/terms}primer" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "amplificationPrimer"
    })
    public static class AmplificationPrimers {

        protected List<Primer> amplificationPrimer;

        /**
         * Gets the value of the amplificationPrimer property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the amplificationPrimer property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAmplificationPrimer().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Primer }
         * 
         * 
         */
        public List<Primer> getAmplificationPrimer() {
            if (amplificationPrimer == null) {
                amplificationPrimer = new ArrayList<Primer>();
            }
            return this.amplificationPrimer;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="sequencing" type="{http://data.ggbn.org/schemas/ggbn/terms}sequencing" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "sequencing"
    })
    public static class Sequencings {

        @XmlElement(required = true)
        protected List<Sequencing> sequencing;

        /**
         * Gets the value of the sequencing property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the sequencing property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getSequencing().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Sequencing }
         * 
         * 
         */
        public List<Sequencing> getSequencing() {
            if (sequencing == null) {
                sequencing = new ArrayList<Sequencing>();
            }
            return this.sequencing;
        }

    }

}
